/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.core.dm.ddf;


/**
 * Corresponds to the &lt;Auth&gt; interior node in the management tree
 *
 * @author Stefano Nichele @ Funambol
 *
 * @version $Id: Auth.java,v 1.1 2005/05/16 17:32:55 nichele Exp $
 */
public class Auth {


   // --------------------------------------------------------------- Constants
   public static final String AUTH_ID      = "/Id";
   public static final String AUTH_SECRET  = "/Secret"  ;


   // ------------------------------------------------------------ Private data
   private String id;
   private String secret;


   // ------------------------------------------------------------ Constructors
   /** For serialization purposes */
   public Auth() {}

    /**
     * Creates a new ConAuth object with the given parameters
     *
     * @param id the authentication identifier
     * @param secret the type authentication secret
     */
    public Auth(final String id,
                   final String secret) {
        this.id         = id;
        this.secret     = secret;
    }


    // ---------------------------------------------------------- Public methods

    /**
     * Gets the id
     *
     * @return  the id
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the id
     *
     * @param  the id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * Gets the secret
     *
     * @return  the secret
     */
    public String getSecret() {
        return secret;
    }

    /**
     * Sets the secret
     *
     * @param  the secret
     */
    public void setSecret(String secret) {
        this.secret = secret;
    }


}