/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package sync4j.framework.notification;


/**
 * This class includes the constants relative to the notification process.
 *
 * @author Stefano Nichele @ Funambol
 *
 * @version $Id: NotificationConstants.java,v 1.1 2005/05/16 17:32:55 nichele Exp $
 */
public final class NotificationConstants {


    public static final int AUTH_METHOD_NETWPIN     = 0;
    public static final int AUTH_METHOD_USERPIN     = 1;
    public static final int AUTH_METHOD_USERNETWPIN = 2;
    public static final int AUTH_METHOD_USERPINMAC  = 3;


    /** Bootstrap message using wap profile */
    public static final int MESSAGE_TYPE_BOOTSTRAP_WAP          = 0;

    /** Bootstrap message using plain profile */
    public static final int MESSAGE_TYPE_BOOTSTRAP_PLAIN        = 1;

    /** Generic Notification message */
    public static final int MESSAGE_TYPE_NOTIFICATION_GENERIC   = 2;

    /** Wap transport type */
    public static final int TRANSPORT_TYPE_WAP                  = 0;

}