/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.notification;


/**
 * Represents the body of the Notification message in according with the SyncML DM specification.
 *
 * @author Stefano Nichele @ Funambol
 *
 * @version $Id: TriggerBodyNotificationMessage.java,v 1.1 2005/05/16 17:32:55 nichele Exp $
 */
public class TriggerBodyNotificationMessage {

    // -------------------------------------------------------------- Properties
    private byte[] bodyMessage;

    // ------------------------------------------------------------ Constructors

    public TriggerBodyNotificationMessage() {}

    /**
     * Creates a new TriggerBodyNotificationMessage object with the given parameters
     *
     * @param bodyMessage
     */
    public TriggerBodyNotificationMessage(final byte[] bodyMessage) {
        this.bodyMessage = bodyMessage;
    }

    // ---------------------------------------------------------- Public methods
    /**
     * Gets the bodyMessage
     *
     * @return  the bodyMessage
     */
    public byte[] getBodyMessage() {
        return bodyMessage;
    }

    /**
     * Sets the bodyMessage
     *
     * @param  the bodyMessage

     */
    public void setBodyMessage(byte[] bodyMessage) throws NotificationException {
        this.bodyMessage = bodyMessage;
    }


}