/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package sync4j.framework.protocol;

import sync4j.framework.core.Sync4jException;


/**
 * Represents an error in the SyncML protocol flow
 *
 * @author  Stefano Fornari @ Funambol
 */
public class ProtocolException extends Sync4jException {

    /** Creates a new instance of ProtocolException */
    public ProtocolException(String msg) {
        super(msg);
    }
    
    public ProtocolException(String msg, Object[] params) {
        super(msg, params);
    }
    
    public ProtocolException(Throwable cause) {
        super(cause);
    }
    
    public ProtocolException(String msg, Throwable cause) {
        super(msg, cause);
    }

}