/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package sync4j.server.engine.dm.ejb;

import javax.ejb.EJBLocalObject;

import sync4j.framework.engine.dm.ManagementException;
import sync4j.framework.notification.NotificationException;

/**
  *
  * @author Stefano Nichele
  * @version $Id: ManagementLocal.java,v 1.1 2005/05/16 17:32:56 nichele Exp $
  */
public interface ManagementLocal extends EJBLocalObject {

     public void bootstrap(int    messageType  ,
                           int    transportType,
                           String deviceUri    ,
                           String phoneNumber  ,
                           String username     ,
                           String password     ,
                           String info         )
     throws ManagementException, NotificationException;

     public void sendNotification(int    messageType  ,
                                  int    transportType,
                                  String phoneNumber  ,
                                  String operation    ,
                                  String info         )
     throws ManagementException, NotificationException;

     /**
     * Executes the management sequence identified by the given operation name.
     *
     * @param phoneNumber the phone number
     * @param operation the management operation name
     * @param info application specific detail information
     *
     * @throws ManagementException if a error occurs in the management engine,
     *         NotificationException if an error occurs in the notification process
     */
    public void executeManagementOperation( String phoneNumber  ,
                                            String operation    ,
                                            String info         )
    throws ManagementException, NotificationException;

 }