/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.server.notification;

import java.io.InputStream;

import org.kxml.wap.WbxmlParser;

/**
 * A parser for WapProvisioningDoc built on top of the WbxmlParser by
 * setting the corresponding TagTable defined in the class WapProvisioningDocWBXML
 *
 * @author Stefano Nichele
 * @version $Id $
 */
public class WapProvisioningDocParser extends WbxmlParser {

    /**
     * Calls constructor of WbxmlParser and sets then the appropriate tag table
     *
     * @param in an <code>InputStream</code> value
     * @exception IOException if an error occurs
     */
    public WapProvisioningDocParser (InputStream in) throws Exception {
        super(in);

        setTagTable(0, WapProvisioningDocWBXML.tagTable[0]);
        setTagTable(1, WapProvisioningDocWBXML.tagTable[1]);

        setAttrStartTable(0, WapProvisioningDocWBXML.attributeStartTable[0]);
        setAttrStartTable(1, WapProvisioningDocWBXML.attributeStartTable[1]);

        setAttrValueTable(0, WapProvisioningDocWBXML.paramValueTable[0]);
        setAttrValueTable(1, WapProvisioningDocWBXML.paramValueTable[1]);
    }
}