--
-- This script contains the ddl to create the engine database.
--
-- @author Stefano Fornari @ Funambol
--
-- @version $Id: create_engine.ddl,v 1.1 2005/05/16 17:32:58 nichele Exp $
--

create table sync4j_principal
(
  username    varchar2(32)  not null,
  device      varchar2(128) not null,
  id          varchar2(128) not null,
  primary key (id)
);



create table sync4j_user
(
  username   varchar2(32) not null,
  password   varchar2(32),
  email      varchar2(50),
  first_name varchar2(255),
  last_name  varchar2(255),
  internal_user char(1 ) default 'N',
  primary key (username)
);




create table sync4j_device
(
  id              varchar2(128) not null,
  description     varchar2(255),
  type            varchar2(255),
  digest          varchar2(255),
  client_nonce    varchar2(255),
  server_nonce    varchar2(255),
  server_password varchar2(255),
  constraint pk_sync4j_device primary key (id)
);


create table sync4j_id
(
  idspace varchar2(30) not null,
  counter int          not null,
  constraint pk_sync4j_id primary key (idspace)
);

create table sync4j_role
(
  role        varchar2(128) not null,
  description varchar2(200) not null,
  constraint pk_sync4j_role primary key (role)
);


create table sync4j_user_role
(
  username varchar2(32 ) not null,
  role     varchar2(128) not null,
  constraint pk_sync4j_user_role primary key (username,role)
);

create table sync4j_dm_state
(
    id        varchar2(32)          ,
    device    varchar2(128)         ,
    mssid     varchar2(32)          ,
    state     char(1)               ,
    start_ts  date                  ,
    end_ts    date                  ,
    operation varchar2(255)         ,
    info      varchar2(1024)        ,
    constraint pk_sync4j_dm_state primary key (id)
);


create index nxd_dm_state_dev   on sync4j_dm_state (device   );
create index nxd_dm_state_sid   on sync4j_dm_state (mssid    );
create index nxd_dm_state_state on sync4j_dm_state (state    );
create index nxd_dm_state_op    on sync4j_dm_state (operation);
create index nxd_dm_state_info  on sync4j_dm_state (info     );


--
-- CONSTRAINTS
--


alter table sync4j_principal add constraint fk_user foreign key (
  username
)
references sync4j_user (
  username
);


alter table sync4j_principal add constraint fk_device foreign key (
  device
)
references sync4j_device (
  id
);


alter table sync4j_dm_state add constraint fk_device1 foreign key (
  device
)
references sync4j_device (
  id
);


